From kaneshige.kenji@jp.fujitsu.com Mon May 23 07:26:32 2005
Message-ID: <4291B578.3060605@jp.fujitsu.com>
Date: Mon, 23 May 2005 19:50:32 +0900
From: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
To: Dely Sy <dlsy@snoqualmie.dp.intel.com>, gregkh@suse.de
Subject: PCI Hotplug: shpchp driver doesn't program _HPP values properly

Current shpchp driver doesn't seem to program _HPP values
properly. The following patch fixes this issue.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


---
 drivers/pci/hotplug/shpchprm_acpi.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/pci/hotplug/shpchprm_acpi.c	2005-05-27 15:06:49.000000000 -0700
+++ gregkh-2.6/drivers/pci/hotplug/shpchprm_acpi.c	2005-05-27 15:14:30.000000000 -0700
@@ -1626,7 +1626,7 @@
 	pci_bus->number = func->bus;
 	devfn = PCI_DEVFN(func->device, func->function);
 
-	ab = find_acpi_bridge_by_bus(acpi_bridges_head, ctrl->seg, ctrl->bus);
+	ab = find_acpi_bridge_by_bus(acpi_bridges_head, ctrl->seg, ctrl->slot_bus);
 
 	if (ab) {
 		if (ab->_hpp) {
